Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type.descriptor.java
Class LocaleTypeDescriptor

    java.lang.Object
      org.hibernate.type.descriptor.java.AbstractTypeDescriptor<Locale>
          org.hibernate.type.descriptor.java.LocaleTypeDescriptor

All Implemented Interfaces:
  Serializable, JavaTypeDescriptor<Locale>

    public class LocaleTypeDescriptor

extends AbstractTypeDescriptor<Locale>

TODO : javadoc

See Also:
  Serialized Form

Nested Class Summary
`static class` | `LocaleTypeDescriptor.LocaleComparator`

Field Summary
`static LocaleTypeDescriptor` | `INSTANCE`

Constructor Summary
`LocaleTypeDescriptor()`

Method Summary
`Locale` | `fromString(String string)`
`Comparator<Locale>` | `getComparator()` Retrieve the natural comparator for this type.
`String` | `toString(Locale value)`
`
`<X> X`
` | `unwrap(Locale value, Class<X> type, WrapperOptions options)` Unwrap an instance of our handled Java type into the requested type.
`
`<X> Locale`
` | `wrap(X value, WrapperOptions options)` Wrap a value as our handled Java type.

Methods inherited from class org.hibernate.type.descriptor.java.AbstractTypeDescriptor
`areEqual, extractHashCode, extractLoggableRepresentation, getJavaTypeClass, getMutabilityPlan, unknownUnwrap, unknownWrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final LocaleTypeDescriptor INSTANCE

Constructor Detail

### LocaleTypeDescriptor

    public LocaleTypeDescriptor()

Method Detail

### getComparator

    public Comparator<Locale> getComparator()

  Description copied from class: `AbstractTypeDescriptor`
  Retrieve the natural comparator for this type.

  Specified by:
    `getComparator` in interface `JavaTypeDescriptor<Locale>`
  Overrides:
    `getComparator` in class `AbstractTypeDescriptor<Locale>`
  Returns:
    The natural comparator.

### toString

    public String toString(Locale value)

### fromString

    public Locale fromString(String string)

### unwrap

    public <X> X unwrap(Locale value,
                        Class<X> type,
                        WrapperOptions options)

  Description copied from interface: `JavaTypeDescriptor`
  Unwrap an instance of our handled Java type into the requested type.

  As an example, if this is a `JavaTypeDescriptor<Integer>` and we are asked to unwrap the `Integer value` as a `Long` we would return something like `Long.valueOf( value.longValue() )`.

  Intended use is during `PreparedStatement` binding.

  Type Parameters:
    `X` - The conversion type.
  Parameters:
    `value` - The value to unwrap
    `type` - The type as which to unwrap
    `options` - The options
  Returns:
    The unwrapped value.

### wrap

    public <X> Locale wrap(X value,
                           WrapperOptions options)

  Description copied from interface: `JavaTypeDescriptor`
  Wrap a value as our handled Java type.

  Intended use is during `ResultSet` extraction.

  Type Parameters:
    `X` - The conversion type.
  Parameters:
    `value` - The value to wrap.
    `options` - The options
  Returns:
    The wrapped value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.